
%define upstream_name	 Crypt-Blowfish
%define upstream_version 2.10

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:	Perl Blowfish encryption module
License:	GPL+ or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	 perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Perl module to encrypt using the Blowfish algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make




%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYRIGHT Changes
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%exclude %{_mandir}/*/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

